<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<title>morphorobotx: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">morphorobotx
   </div>
   <div id="projectbrief">morphorobotxsharedlibrary</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.1.2 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Namespaces</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Typedefs</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&#160;</span>Enumerator</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(9)"><span class="SelectionMark">&#160;</span>Macros</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">FileManager Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="classFileManager.html">FileManager</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="classFileManager.html#aca000b2c2e30d0e0aa243a5fe3fe2aad">currentExperimentDirPathAbsolute</a></td><td class="entry"><a class="el" href="classFileManager.html">FileManager</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr><td class="entry"><a class="el" href="classFileManager.html#a4779a3f5c97a218de4500cfc2216bdad">currentSessionPath</a></td><td class="entry"><a class="el" href="classFileManager.html">FileManager</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classFileManager.html#adda2841da6f4b79b9d5f5b240ca2d679">experimentPrefix</a></td><td class="entry"><a class="el" href="classFileManager.html">FileManager</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr><td class="entry"><a class="el" href="classFileManager.html#a8afd512c06be9daf140cc19d71f9b391">FileManager</a>()</td><td class="entry"><a class="el" href="classFileManager.html">FileManager</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classFileManager.html#aae5650b5a65d4b849b0baaeeeb03e0cb">getCurrentSessionPath</a>() const </td><td class="entry"><a class="el" href="classFileManager.html">FileManager</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classFileManager.html#a10b093c38ffeeee2da54a22234856ad2">getExperimentDirAbsolute</a>() const </td><td class="entry"><a class="el" href="classFileManager.html">FileManager</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classFileManager.html#ae30932726a6c59ecc8c037fe6d5d6b8d">getFirstAvailableExperimentPath</a>()</td><td class="entry"><a class="el" href="classFileManager.html">FileManager</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classFileManager.html#a46c452fc23ae0e71c2f5fe3e99afaadc">getInParamsPath</a>()</td><td class="entry"><a class="el" href="classFileManager.html">FileManager</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classFileManager.html#a680f33430c4c16c272899b822c66d306">getOutParamsPath</a>() const </td><td class="entry"><a class="el" href="classFileManager.html">FileManager</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classFileManager.html#aab945adb1c65b3cfe94a36f9c97ad3cd">getOutputDataPath</a>() const </td><td class="entry"><a class="el" href="classFileManager.html">FileManager</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classFileManager.html#aa4e5ef9ceccddcf40ca56c9353559b60">inParamsPath</a></td><td class="entry"><a class="el" href="classFileManager.html">FileManager</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr><td class="entry"><a class="el" href="classFileManager.html#a5944a885735e17e790569ffa32248d77">isInitialized</a></td><td class="entry"><a class="el" href="classFileManager.html">FileManager</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classFileManager.html#a303addc19c98464e41108c9233ae9152">isValid</a>()</td><td class="entry"><a class="el" href="classFileManager.html">FileManager</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classFileManager.html#aea0016bb5b4b03b328fad7e91d609fe9">makeDir</a>(QString path)</td><td class="entry"><a class="el" href="classFileManager.html">FileManager</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classFileManager.html#ad5ac8b0193b2ab342c1dd9e331f6ca14">prepareNewDirectory</a>()</td><td class="entry"><a class="el" href="classFileManager.html">FileManager</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classFileManager.html#a5089ace85f5f2952583571741fb20ffe">readParameters</a>(Parms par)</td><td class="entry"><a class="el" href="classFileManager.html">FileManager</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classFileManager.html#a6b5d8186c280a52969830db3aa89d460">setCurrentSessionPath</a>(QString path)</td><td class="entry"><a class="el" href="classFileManager.html">FileManager</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classFileManager.html#a600f12b61386d079f69f7897e40a2423">setExperimentPrefix</a>(QString prefix)</td><td class="entry"><a class="el" href="classFileManager.html">FileManager</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classFileManager.html#a9fe95419e1b887dc5bb475946714ec94">setInParamsPath</a>(QString path)</td><td class="entry"><a class="el" href="classFileManager.html">FileManager</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classFileManager.html#abaed33b5b0c13b8a597db9335a1aacfa">~FileManager</a>()</td><td class="entry"><a class="el" href="classFileManager.html">FileManager</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
</table></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Tue Feb 26 2013 17:54:10 for morphorobotx by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.1.2
</small></address>
</body>
</html>
